Verify Model Before Save
curl --request POST \
--url https://api.example.com/assets/models/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"litellm_model": "<string>",
"credentials": {},
"provider": "<string>",
"api_base": "<string>",
"api_version": "<string>"
}
'import requests
url = "https://api.example.com/assets/models/verify"
payload = {
"litellm_model": "<string>",
"credentials": {},
"provider": "<string>",
"api_base": "<string>",
"api_version": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
litellm_model: '<string>',
credentials: {},
provider: '<string>',
api_base: '<string>',
api_version: '<string>'
})
};
fetch('https://api.example.com/assets/models/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"verified": true,
"message": "<string>",
"latency_ms": 123
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}models
Verify Model Before Save
Verify model credentials before creating the model
POST
/
assets
/
models
/
verify
Verify Model Before Save
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Request body for verifying model credentials before saving.
Required string length:
1 - 500Credentials for the model provider (not stored).
Show child attributes
Show child attributes
Maximum string length:
100Maximum string length:
1000Maximum string length:
50Was this page helpful?
⌘I

